import type { GenericParent } from 'myst-common';
import type { ProjectFrontmatter } from 'myst-frontmatter';
/**
 * Attempt to pull abbreviations out of tree
 *
 * This looks for parenthesized letters and tries to match them to the
 * previous words.
 */
export declare function abbreviationsFromTree(tree: GenericParent, frontmatter: Pick<ProjectFrontmatter, 'abbreviations'>): void;
export declare function abbreviationsFromText(text: string): Record<string, string>;
//# sourceMappingURL=abbreviations.d.ts.map