import type { GenericParent } from 'myst-common';
import type { Back, Body } from 'jats-tags';
/**
 * Copy footnotes and sections from back into body tree
 *
 * Back is not modified.
 */
export declare function backToBodyTransform(body: Body, back?: Back): void;
/**
 * Leave table footnotes in legend if they are not referenced anywhere
 */
export declare function tableFootnotesToLegend(tree: GenericParent): void;
//# sourceMappingURL=footnotes.d.ts.map