import type { Plugin } from 'unified';
import type { GenericParent } from 'myst-common';
/**
 * Clean up nested sections
 *
 * - Identify sections with titles
 * - Convert those titles to headings
 * - Give headings depth value based on nesting
 * - Flatten the sections
 */
export declare function sectionTransform(tree: GenericParent, titleType?: 'heading' | 'strong'): void;
export declare const sectionPlugin: Plugin<[], GenericParent, GenericParent>;
//# sourceMappingURL=sections.d.ts.map